/*
 * ADC.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "F28335/DSP28x_Project.h"

#include "DSP28335/CPUBase.h"


#ifndef DSP28335_ADC_H_
#define DSP28335_ADC_H_

namespace DSP28335
{

class ADC: public DSP28335::CPUBase
{
private:
    bool m_status;
public:
    ADC();
    void setup();
public:
    bool is_ready();
    void clear_status();
public:
    void sw_soc_seq1();
    void sw_soc_seq2();
public:
    void interrupt_ack();
    //
};

} /* namespace DSP28335 */

#endif /* DSP28335_ADC_H_ */
