/*
 * DiscreteOutputs.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "F28335/DSP28x_Project.h"

#include "DSP28335/CPUBase.h"
#include "DSP28335/GPIO.h"

#ifndef DSP28335_DISCRETEOUTPUTS_H_
#define DSP28335_DISCRETEOUTPUTS_H_


namespace DSP28335
{


struct DiscreteOutputsSetup: public DSP28335::CPUBaseSetup
{
    DiscreteOutputsSetup():
        DSP28335::CPUBaseSetup()
    {}
};//

class DiscreteOutputs: public DSP28335::CPUBase
{
public:
    DiscreteOutputs();
    void setup(const DiscreteOutputsSetup& setup);
private:
    void (*_gpio_setup)();
};

} /* namespace DSP28335 */

#endif /* DSP28335_DISCRETEOUTPUTS_H_ */
