/*
 * MemoryZone7.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "DSP28335/MemoryZone.h"
#include <stdint.h>


#ifndef SYSCTRL_MEMORYZONE7_H_
#define SYSCTRL_MEMORYZONE7_H_


struct ZONE7_Bank_H
{
    ZONE_REGISTER_16 h0;
    ZONE_REGISTER_16 h1;
    ZONE_REGISTER_16 h2;
    ZONE_REGISTER_16 h3;
    ZONE_REGISTER_16 h4;
    ZONE_REGISTER_16 h5;
    ZONE_REGISTER_16 h6;
    ZONE_REGISTER_16 h7;
    ZONE_REGISTER_16 h8;
    ZONE_REGISTER_16 h9;
    ZONE_REGISTER_16 hA;
    ZONE_REGISTER_16 hB;
    ZONE_REGISTER_16 hC;
    ZONE_REGISTER_16 hD;
    ZONE_REGISTER_16 hE;
    ZONE_REGISTER_16 hF;
};//


struct ZONE7_Bank_HH
{
    ZONE7_Bank_H hh0;
    ZONE7_Bank_H hh1;
    ZONE7_Bank_H hh2;
    ZONE7_Bank_H hh3;
    ZONE7_Bank_H hh4;
    ZONE7_Bank_H hh5;
    ZONE7_Bank_H hh6;
    ZONE7_Bank_H hh7;
    ZONE7_Bank_H hh8;
    ZONE7_Bank_H hh9;
    ZONE7_Bank_H hhA;
    ZONE7_Bank_H hhB;
    ZONE7_Bank_H hhC;
    ZONE7_Bank_H hhD;
    ZONE7_Bank_H hhE;
    ZONE7_Bank_H hhF;
};//


struct ZONE7_Bank_HHH
{
    ZONE7_Bank_HH hhh0;
    ZONE7_Bank_HH hhh1;
    ZONE7_Bank_HH hhh2;
    ZONE7_Bank_HH hhh3;
};//



#endif /* SYSCTRL_MEMORYZONE7_H_ */
