/*
 * PWMInterface.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "PERIPHERY/PWMInterface.h"

namespace PERIPHERY
{

//CONSTRUCTOR
PWMInterface::PWMInterface():
        m_counter_cascade(0),
        m_counter_cells(0),
        m_aux_offset(0),
        m_aux_cell_quantity(0),
        m_aux_pointer(0),
        //
        m_telemetry_function_counter(0),
        m_telemetry_cascade_counter (0),
        m_telemetry_cell_counter    (0),
        //
        m_telemetry_function_quantity(0),
        m_telemetry_cascade_quantity (0),
        m_telemetry_cell_quantity    (0),
        //
        m_broadcast(),
        m_telemetry_fields_offset(0x001, 0x002, 0x003, 0x004, 0x005, 0x006, 0x011, 0x012, 0x013, 0x014, 0x015, 0x016),
        m_offset_cells(),
        m_hard_fault(),
        _gpio_hard_fault_setup(&DSP28335::GPIO::gpio_hard_fault_setup),
        _hard_fault_read(&DSP28335::GPIO::gpio_hard_fault_read)
{}//CONSTRUCTOR

} /* namespace PERIPHERY */
