/*
 * PhaseBase.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>

#include "F28335/DSP28x_Project.h"
#include "F28335/DSP2833x_Examples.h"

#include "RUDRIVEFRAMEWORK/HeaderRUDRIVEFRAMEWORK.h"


#ifndef RUDRIVEFRAMEWORK_PHASEBASE_H_
#define RUDRIVEFRAMEWORK_PHASEBASE_H_

namespace RUDRIVEFRAMEWORK
{

class PhaseBase
{
protected:
    uint16_t *m_memzone;
protected:
    //float       m_time_sample_adc;
    //float       m_pwm_frequency;
    //uint16_t    m_adc_isr_quantity;
    //float       m_adc_isr_offset_relative;
public:
    DSP28335::CPU     cpu;
public:
    PhaseBase(uint16_t *memzone);
public:
    //virtual float       get_time_sample_adc() = 0;
    //virtual float       get_pwm_frequency() = 0;
    //virtual uint16_t    get_adc_isr_quantity() = 0;
    //virtual float       get_adc_isr_offset_relative() = 0;
};

} /* namespace RUDRIVEFRAMEWORK */

#endif /* RUDRIVEFRAMEWORK_PHASEBASE_H_ */
